Subject: Re: pkg/19480: devel/flex should be only for SunOS
To: None <>
From: Greg A. Woods <>
List: netbsd-bugs
Date: 01/02/2003 18:16:53
[ On Friday, December 20, 2002 at 18:39:41 (-0800), wrote: ]
> Subject: pkg/19480: devel/flex should be only for SunOS
> pkgsrc/devel/flex/Makefile has:
> ONLY_FOR_PLATFORM=     SunOS-*-*       # in NetBSD base system
> >How-To-Repeat:
> need for Linux; try to build for Linux
> >Fix:
> get rid of the ONLY_FOR_PLATFORM line
> or have some negated (not) for NetBSD

There's no good reason to prevent this package from building and
installing on NetBSD -- and indeed there are at least two very good
reasons to allow it:

	- makes for much easier testing of pkgsrc

	- possibly someday there may be a newer version of flex, or even
          some important but generic patch only available in pkgsrc, and
          some users will want to install the updated version as a
          package on older/existing NetBSD systems.

The same reasons apply to almost every other package which tries to
prevent itself from being built on NetBSD!

								Greg A. Woods

+1 416 218-0098;            <>;           <>
Planix, Inc. <>; VE3TCP; Secrets of the Weird <>